import { ApiConfiguration } from "../configuration/apiConfiguration";
import { StateMachineRef } from "../interfaces/StateMachineRef";
import { PrivateTopics } from "../interfaces/PrivateTopics";
export declare class WebSocketPublisher {
    private webSocket;
    private configuration;
    private privateTopics;
    sessionData: string;
    private serializer;
    constructor(webSocket: WebSocket, configuration: ApiConfiguration, privateTopics: PrivateTopics, sessionData: string);
    send(componentName: string, stateMachineName: string, messageType: string, jsonMessage: any, visibilityPrivate?: boolean, specifiedPrivateTopic?: string): void;
    sendWithStateMachineRef(stateMachineRef: StateMachineRef, messageType: string, jsonMessage: any, visibilityPrivate?: boolean, specifiedPrivateTopic?: string): void;
    canSend(componentName: string, stateMachineName: string, messageType: string): boolean;
    dispose(): void;
    private getDataToSend(componentName, stateMachineName, messageType, jsonMessage, visibilityPrivate?, specifiedPrivateTopic?);
    private getHeaderConfig(componentCode, stateMachineCode, messageType, visibilityPrivate, specifiedPrivateTopic, stateMachineId?, workerId?);
    private getRoutingKey(componentCode, stateMachineCode, messageType);
    private getDataToSendWithStateMachineRef(stateMachineRef, messageType, jsonMessage, visibilityPrivate?, specifiedPrivateTopic?);
}
