import { ApiConfiguration } from "../configuration/apiConfiguration";
import { Observable } from "rxjs/Observable";
import "rxjs/add/operator/map";
import "rxjs/add/operator/filter";
import "rxjs/add/operator/first";
import "rxjs/add/observable/fromEvent";
import "rxjs/add/operator/toPromise";
import { WebSocketPublisher } from "../communication/WebSocketPublisher";
import { PrivateTopics } from "../interfaces/PrivateTopics";
import { StateMachineInstance } from "../interfaces/StateMachineInstance";
import { StateMachineUpdateListener } from "../interfaces/StateMachineUpdateListener";
export declare class WebSocketSubscriber {
    private webSocket;
    private configuration;
    private stateMachineRefSendPublisher;
    private privateTopics;
    private logger;
    private subscribedStateMachines;
    private updates$;
    private deserializer;
    private serializer;
    private timeout;
    constructor(webSocket: WebSocket, configuration: ApiConfiguration, stateMachineRefSendPublisher: WebSocketPublisher, privateTopics: PrivateTopics);
    getSnapshot(componentName: string, stateMachineName: string): Promise<Array<StateMachineInstance>>;
    dispose(): void;
    private getDataToSendSnapshot(componentName, stateMachineName, replyTopic);
    private prepareStateMachineUpdates(componentName, stateMachineName);
    private isSameComponent(jsonData, componentCode);
    private isSameStateMachine(jsonData, stateMachineCode);
    getStateMachineUpdates(componentName: string, stateMachineName: string): Observable<StateMachineInstance>;
    canSubscribe(componentName: string, stateMachineName: string): boolean;
    subscribe(componentName: string, stateMachineName: string, stateMachineUpdateListener: StateMachineUpdateListener): void;
    private sendSubscribeRequest(componentName, stateMachineName);
    sendSubscribeRequestToTopic(topic: string, kind: number): void;
    sendUnsubscribeRequestToTopic(topic: string, kind: number): void;
    private getDataToSend(topic, kind);
    unsubscribe(componentName: string, stateMachineName: string): void;
    private isSubscribed(subscribedStateMachines, componentName, stateMachineName);
    private addSubscribedStateMachines(componentName, stateMachineName);
    private removeSubscribedStateMachines(componentName, stateMachineName);
    getJsonDataFromSnapshot(data: string, topic: string): Array<StateMachineInstance>;
    getJsonDataFromEvent(data: string, topic: string): StateMachineInstance;
    private getStateMachineRef(StateMachineId, workerId, componentCode, stateMachineCode, stateCode, errorMessage?);
}
